@echo off
rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2008. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************
rem Unset JAVA_HOME because we really want to use the JRE that is bundled.
rem Also, Tomcat will complain if JAVA_HOME is set to a JRE instead of a JDK
rem and that should be avoided
set OLD_JAVA_HOME=%JAVA_HOME%
set JAVA_HOME=

set START_DIR=%~dp0
set ORACLE_JDBC=%START_DIR%\oracle
set DB2I_JDBC=%START_DIR%\db2i
set DB2Z_JDBC=%START_DIR%\db2z
set JRE_HOME=%cd%\win32\ibm-java2-i386-50\jre
set CATALINA_HOME=%cd%\tomcat
set CATALINA_OPTS=-Dcom.ibm.team.server.configURL=file:///"%cd%"/teamserver.properties -Dlog4j.configuration=file:///"%cd%"/log4j.properties
set JAVA_OPTS=-Djava.awt.headless=true -DORACLE_JDBC="%ORACLE_JDBC%" -DDB2I_JDBC="%DB2I_JDBC%" -DDB2Z_JDBC="%DB2Z_JDBC%" -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true -Dcom.ibm.team.repository.provision.profile="%cd%"\provision_profiles -Dcom.ibm.team.repository.tempDir=%TEMP% -Dcom.ibm.rqm.create.samples=false -Xss512k -Xmx700M

call "%CATALINA_HOME%"\bin\startup.bat

set "JAVA_HOME=%OLD_JAVA_HOME%"
set OLD_JAVA_HOME=
set JRE_HOME=
set CATALINA_HOME=
set CATALINA_OPTS=
set JAVA_OPTS=
